Loading...
Searching...
No Matches
djutils.h File Reference

type definitions and constants for the dcmjpeg module More...

## Classes

class | DcmJpegHelper
| helper class with static methods used from different dcmjpeg classes (in particular from the encoder and the decoder part). More...

## Enumerations

enum | EJ_Mode { EJM_baseline , EJM_sequential , EJM_spectralSelection , EJM_progressive , EJM_lossless }
| describes the different modes of operation of a JPEG codec More...
enum | E_SubSampling { ESS_444 , ESS_422 , ESS_411 }
| describes the different types of component sub-sampling to be used with lossy image compression. More...
enum | E_UIDCreation { EUC_default , EUC_always , EUC_never }
| describes the condition under which a compressed or decompressed image receives a new SOP instance UID. More...
enum | E_PlanarConfiguration { EPC_default , EPC_colorByPixel , EPC_colorByPlane }
| describes how the decoder should handle planar configuration of decompressed color images. More...
enum | E_CompressionColorSpaceConversion { ECC_lossyYCbCr , ECC_lossyRGB , ECC_monochrome }
| describes how color space conversion should be handled during the conversion of an uncompressed DICOM image to a JPEG-compressed image More...
enum | E_DecompressionColorSpaceConversion { EDC_photometricInterpretation , EDC_lossyOnly , EDC_always , EDC_never , EDC_guessLossyOnly , EDC_guess }
| describes how color space conversion should be handled during the conversion of a JPEG-compressed DICOM image to an uncompressed image More...

## Variables

DCMTK_DCMJPEG_EXPORT const OFConditionConst | EJ_Suspension
| IJG codec suspension return.
DCMTK_DCMJPEG_EXPORT const OFConditionConst | EJ_IJG8_FrameBufferTooSmall
| Buffer for decompressed image (8 bits/sample) too small.
DCMTK_DCMJPEG_EXPORT const OFConditionConst | EJ_IJG12_FrameBufferTooSmall
| Buffer for decompressed image (12 bits/sample) too small.
DCMTK_DCMJPEG_EXPORT const OFConditionConst | EJ_IJG16_FrameBufferTooSmall
| Buffer for decompressed image (16 bits/sample) too small.
DCMTK_DCMJPEG_EXPORT const OFConditionConst | EJ_UnsupportedPhotometricInterpretation
| Codec does not support this PhotometricInterpretation.
DCMTK_DCMJPEG_EXPORT const OFConditionConst | EJ_UnsupportedColorConversion
| Codec does not support this kind of color conversion.
DCMTK_DCMJPEG_EXPORT const OFConditionConst | EJ_UnsupportedBitDepth
| Codec does not support this kind of bit depth.

## Detailed Description

type definitions and constants for the dcmjpeg module

## Enumeration Type Documentation

## E_CompressionColorSpaceConversion

enum E_CompressionColorSpaceConversion

describes how color space conversion should be handled during the conversion of an uncompressed DICOM image to a JPEG-compressed image

Enumerator
ECC_lossyYCbCr | encode color images in YCbCr if lossy JPEG. If lossless JPEG, images are encoded as RGB unless the source image is YCbCr in which case no color conversion is performed.
ECC_lossyRGB | encode color images in RGB unless the source image is YCbCr in which case no color conversion is performed.
ECC_monochrome | convert color images to monochrome before compressing

## E_DecompressionColorSpaceConversion

enum E_DecompressionColorSpaceConversion

describes how color space conversion should be handled during the conversion of a JPEG-compressed DICOM image to an uncompressed image

Enumerator
EDC_photometricInterpretation | perform color space conversion from YCbCr to RGB if DICOM photometric interpretation indicates YCbCr.
EDC_lossyOnly | always perform color space conversion from YCbCr to RGB if JPEG data is color image and compression is lossy.
EDC_always | always perform color space conversion from YCbCr to RGB if JPEG data is color image.
EDC_never | never perform any color space conversion.
EDC_guessLossyOnly | perform color space conversion from YCbCr to RGB if JPEG data is color image, compression is lossy, and the underlying JPEG library "guesses" the color space to be YCbCr.
EDC_guess | perform color space conversion from YCbCr to RGB if JPEG data is color image, and the underlying JPEG library "guesses" the color space to be YCbCr.

## E_PlanarConfiguration

enum E_PlanarConfiguration

describes how the decoder should handle planar configuration of decompressed color images.

Enumerator
EPC_default | automatically determine whether color-by-plane is required from the SOP Class UID and decompressed photometric interpretation
EPC_colorByPixel | always create color-by-pixel planar configuration
EPC_colorByPlane | always create color-by-plane planar configuration

## E_SubSampling

enum E_SubSampling

describes the different types of component sub-sampling to be used with lossy image compression.

Enumerator
ESS_444 | 4:4:4 sampling (no subsampling)
ESS_422 | 4:2:2 sampling (horizontal subsampling of chroma components)
ESS_411 | 4:1:1 sampling (horizontal and vertical subsampling of chroma components)

## E_UIDCreation

enum E_UIDCreation

describes the condition under which a compressed or decompressed image receives a new SOP instance UID.

Enumerator
EUC_default | Upon compression, assign new SOP instance UID if compression is lossy. Upon decompression never assign new SOP instance UID.
EUC_always | always assign new SOP instance UID on compression and decompression
EUC_never | never assign new SOP instance UID

## EJ_Mode

enum EJ_Mode

describes the different modes of operation of a JPEG codec

Enumerator
EJM_baseline | JPEG baseline.
EJM_sequential | JPEG extended sequential.
EJM_spectralSelection | JPEG spectral selection.
EJM_progressive | JPEG full progression.
EJM_lossless | JPEG lossless.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0